/*
 * Fecha: 06-feb-04
 */
package es.ejie.frmk.presentacion.operacion;

import javax.servlet.ServletException;

import org.apache.struts.action.ActionServlet;
import org.apache.struts.action.PlugIn;
import org.apache.struts.config.ModuleConfig;

/**
 * @version 1.0
 * Fecha: 06-feb-04
 */
public class Q70DatosOPPlugIn implements PlugIn {

	/**
	 * Application scope key that <code>DatosOPPluginIn</code> is stored under.
	 */
	public final static String DATOSOP_KEY = "es.ejie.frmk.presentacion.operacion.Q70DatosOPPlugIn.datos";
	
		
	/**
	 * @see org.apache.struts.action.PlugIn#destroy()
	 */
	public void destroy() {
	}

	/**
	 * @see org.apache.struts.action.PlugIn#init(org.apache.struts.action.ActionServlet, org.apache.struts.config.ModuleConfig)
	 */
	public void init(ActionServlet servlet, ModuleConfig config) throws ServletException {
		try
		{
			Q70DatosOPConfig datosOPConfig = new Q70DatosOPConfig();
			String op = config.getPrefix(); 
			if (0 == op.length())
			{
				op = Q70LogicaOperacionDePresentacion.DEFAULT_OP;
			}
			datosOPConfig.setFuncionAutorizacion(funcionAutorizacion);
			datosOPConfig.setNombreLargo(nombreLargo);
			datosOPConfig.setNumero(numero);
			servlet.getServletContext().setAttribute(DATOSOP_KEY + op,datosOPConfig);
		}
		catch (Exception e) {
			throw new ServletException("Error en el método init() de la clase Q70DatosOPPlugIn.",e);
		}
	}

	/**
		 * Función de Autorización de la Operación de Presentación
		 */	
		private String funcionAutorizacion = null;

		/**
		 * Nombre descriptivo largo de la Operación de Presentación
		 */	
		private String nombreLargo = null;
		/**
		 * Número de la Operación de Presentación
		 */	
		private String numero = null;
	

		/**
		 * @return
		 */
	
		public String getFuncionAutorizacion() {
			return funcionAutorizacion;
		}

		/**
		 * @param string
		 */
		public void setFuncionAutorizacion(String string) {
			funcionAutorizacion = string;
		}

		/**
		 * @return
		 */
		public String getNombreLargo() {
			return nombreLargo;
		}

		/**
		 * @return
		 */
		public String getNumero() {
			return numero;
		}

		/**
		 * @param string
		 */
		public void setNombreLargo(String string) {
			nombreLargo = string;
		}

		/**
		 * @param string
		 */
		public void setNumero(String string) {
			numero = string;
		}	
}
